Firefox v52 Incompatibility with SAFARI Montage Media Player

By Kenneth Beasley on Wed, 3/8/2017

 

Please be advised that the most recent release of Mozilla Firefox version 52, released March 7, 2017, discontinues support for NPAPI plug-ins.

This prohibits the use of the SAFARI Montage Media Player (SMMP) plug-in, which is used to support both video on demand and live streaming playback.

Video On Demand:

  • Customers with SAFARI Montage v6.2 or later and Superset XXXII (32) or later content drives will automatically transition to HTML5 playback.
  • Customers with SAFARI Montage v6.1 or earlier and/or Superset XXXI (31) or earlier content drives can use Microsoft Internet Explorer 11, Apple Safari, or Firefox Extended Support Release (ESR) - https://www.mozilla.org/en-US/firefox/organizations/all/ and continue using the SMMP plug-in.

Selective Video Streaming (SVS):

  • Customers with an Universal Live Broadcast (ULB) server will transition automatically to HTML5 playback.
  • Customers can use Microsoft Internet Explorer 11, Apple Safari, or Firefox Extended Support Release (ESR) - https://www.mozilla.org/en-US/firefox/organizations/all/ and continue using the SMMP plug-in.

Note that customers using the non-ESR release of Firefox v52 may receive a prompt to install SMMP at login depending on SAFARI Montage system settings. This notification may be disabled via the “User Installable” setting found under ADMIN > Settings > System > SAFARI Montage Media Player.

If you need additional support, please feel free to contact SAFARI Montage Technical Support at 800-782-7230 or via email at techsupport@safarimontage.com